PIM(8)

NAME
pimd - a PIM routing for use with Quagga Routing Suite.

SYNOPSIS
pimd [ -dhvZ ] [ -f config-file ] [ -i pid-file ] [ -z path ] [ -P port-number ] [ -A vty-address ] [ -u user ] [ -g group ]

DESCRIPTION
pimd is a protocol-independent multicast component that works with the Quagga Routing Suite.

OPTIONS
Options available for the pimd command:

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /usr/local/etc/pimd.conf.

-g, --group group
    Specify the group to run as. Default is quagga.

-h, --help
    A brief message.

-i, --pid_file pid-file
    When pimd starts its process identifier is written to pid-file. The init system uses the recorded PID to stop or restart pimd. The likely default is /var/run/pimd.pid.

-z, --socket path
    Specify the socket path for contacting the zebra daemon. The likely default is /var/run/zserv.api.

-P, --vty_port port-number
    Specify the port that the pimd VTY will listen on. This defaults to 2611, as specified in /etc/services.

-A, --vty_addr vty-address
    Specify the address that the pimd VTY will listen on. Default is all interfaces.

-u, --user user
    Specify the user to run as. Default is quagga.

-v, --version
    Print the version and exit.

-Z, --debug_zclient
    Enable logging information for zclient debugging.

FILES

/usr/local/sbin/pimd
    The default location of the pimd binary.

/usr/local/etc/pimd.conf
    The default location of the pimd config file.

/var/run/pimd.pid
    The default location of the pimd pid file.

/var/run/zserv.api
    The default location of the zebra unix socket file.

$(PWD)/pimd.log
    If the pimd process is config'd to output logs to a file, then you will find this file in the directory where you started pimd.

WARNING
This man page is intended to be a quick reference for command line options.

DIAGNOSTICS
The pimd process may log to standard output, to a VTY, to a log file, or through syslog to the system logs.

SEE ALSO
zebra(8), vtysh(1)

BUGS
pimd is in early development at the moment and is not ready for production use.

pimd eats bugs for breakfast. If you have food for the maintainers try https://github.com/udhos/qpimd

AUTHORS
See https://github.com/udhos/qpimd for an accurate list of authors.